export declare type TOdooConfig = {
    url: string;
    port: string | number;
    db: string;
    username: string;
    password: string;
};
export declare class Odoo {
    private config;
    private host;
    private port;
    private db;
    private username;
    private password;
    private secure;
    private uid;
    constructor(config: TOdooConfig);
    private _getClient;
    private _methodCall;
    connect<T = any>(): Promise<T>;
    execute_kw<T = any>(model: string, method: string, params?: any[]): Promise<T>;
    exec_workflow<T = any>(model: string, method: string, params?: any[]): Promise<T>;
    render_report<T = any>(report: string, params?: any[]): Promise<T>;
}
